IF EXISTS (SELECT 1 FROM dbo.sysobjects WHERE ID = OBJECT_ID(N'[dbo].[fco_embargos_rep]')
AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
    DROP TABLE dbo.fco_embargos_rep
GO
CREATE TABLE dbo.fco_embargos_rep
(
  id_rep      smallint NOT NULL,
  usuariow	  varchar(30) NOT NULL,
  cod_rep     tinyint NOT NULL,  
  compania    char(4) NOT NULL,
  trabajador          char(10) NOT NULL,
  concepto            smallint NOT NULL,
  secuencia           smallint NOT NULL,
  apellido_demandante varchar(20) NULL,
  nombre_demandante   varchar(20) NULL,
  apellidos_trab      varchar(20) NULL,
  nombres_trab        varchar(20) NULL,
  agr_conceptos_base  char(3) NULL,
  concepto_base       smallint NULL,
  quinta_parte        smallint NULL,
  monto_total         decimal(14,2) NULL,
  saldo_actual        decimal(14,2) NULL,
  porcentaje          decimal(4,2) NULL,
  cuota_fija          decimal(14,2) NULL,
  nombre_cia          varchar(60) NULL,
  agr1        varchar(10) NULL,
  dato1       varchar(10) NULL,
  desc1	      varchar(40) NULL,
  agr2        varchar(10) NULL,
  dato2       varchar(10) NULL,
  desc2       varchar(40) NULL,
  agr3        varchar(10) NULL,
  dato3       varchar(10) NULL,
  desc3	      varchar(40) NULL,
  CONSTRAINT PK_fco_embargos_rep PRIMARY KEY 
  (id_rep, usuariow, cod_rep, compania, trabajador, concepto, secuencia) 
)
GO
GRANT ALL ON fco_embargos_rep TO Public
GO
